/**
 * 
 */
const currency = (value = '0', symbol = '$', symbolPosition = 'before', thousandsSeparator = '.', decimalPlaces = 2, decimalSeparator = ',', decimalZeros = false) => {
    if (!(value instanceof String)) {
        value = value.toString()
    }

    value = value.split('.')

    value[0] = value[0].replace(/(\d)(?=(\d\d\d)+(?!\d))/g, `$1${thousandsSeparator}`)

    if (!!value[1]) {
        value[1] = Number.parseFloat(`0.${value[1]}`).toFixed(decimalPlaces).replace(/0./g, '')
    }

    value = value.join(decimalSeparator)

    if (!decimalZeros) {
        value = value.replace(/([\.|,]\d)0$/, '$1')
    }

    return symbolPosition === 'before' ? `${symbol} ${value}` : `${value} ${symbol}`
}

export default currency